### Method

# EDataBook BookBackend delete_cursor

since: 3.12

#### Declaration [src]

    gboolean
    e_book_backend_delete_cursor (
      EBookBackend* backend,
      EDataBookCursor* cursor,
      GError** error
    )

#### Description [src]

Requests `backend` to release and destroy `cursor`, this will trigger an `E_CLIENT_ERROR_INVALID_ARG` error if `cursor` is not owned by `backend`.

Available since: 3.12

#### Parameters

`cursor`

  Type: `EDataBookCursor`

  The `EDataBookCursor` to destroy.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether `cursor` was successfully deleted.